## org.apache.commons.collections.map
Class AbstractLinkedMap.LinkEntry

    java.lang.Object
      org.apache.commons.collections.map.AbstractHashedMap.HashEntry
          org.apache.commons.collections.map.AbstractLinkedMap.LinkEntry

All Implemented Interfaces:
  java.util.Map.Entry, KeyValue

Enclosing class:
  AbstractLinkedMap

    protected static class AbstractLinkedMap.LinkEntry

extends AbstractHashedMap.HashEntry

LinkEntry that stores the data.

If you subclass `AbstractLinkedMap` but not `LinkEntry` then you will not be able to access the protected fields. The `entryXxx()` methods on `AbstractLinkedMap` exist to provide the necessary access.

Field Summary
`protected AbstractLinkedMap.LinkEntry` `after` The entry after this one in the order
`protected AbstractLinkedMap.LinkEntry` `before` The entry before this one in the order

Fields inherited from class org.apache.commons.collections.map.AbstractHashedMap.HashEntry
`hashCode, key, next, value`

Constructor Summary
`protected` `AbstractLinkedMap.LinkEntry(AbstractHashedMap.HashEntry next, int hashCode, java.lang.Object key, java.lang.Object value)` Constructs a new entry.

Method Summary

Methods inherited from class org.apache.commons.collections.map.AbstractHashedMap.HashEntry
`equals, getKey, getValue, hashCode, setValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### before

    protected AbstractLinkedMap.LinkEntry before

  The entry before this one in the order

### after

    protected AbstractLinkedMap.LinkEntry after

  The entry after this one in the order

Constructor Detail

### AbstractLinkedMap.LinkEntry

    protected AbstractLinkedMap.LinkEntry(AbstractHashedMap.HashEntry next,
                                          int hashCode,
                                          java.lang.Object key,
                                          java.lang.Object value)

  Constructs a new entry.

  Parameters:
    `next` - the next entry in the hash bucket sequence
    `hashCode` - the hash code
    `key` - the key
    `value` - the value

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.